{ lib, pkgs, ... }:

{
  xdg.configFile."ytcc/ytcc.conf".text = lib.generators.toINI { } {
    ytcc = {
      mpv_flags = lib.concatStringsSep " " [
        "--really-quiet"
        "--volume=90"
        "--profile=clear-speed"
        "--ytdl"
        "--ytdl-format=bestvideo[vcodec^=avc1][width<=1920][fps<=30]+bestaudio[acodec^=opus]/bestvideo+bestaudio/best"
      ];
    };

    theme = {
      table_alternate_background = 0;
    };
  };

  home.packages = with pkgs; [ ytcc ];
}
